# $Revision: 1.33 $, $Date: 2012/03/23 10:47:09 $
Summary:	Library integrating clutter with GTK+
Summary(pl.UTF-8):	Biblioteka integrująca clutter z GTK+
Name:		clutter-gtk
Version:	1.2.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://download.gnome.org/sources/clutter-gtk/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	cf56b6c33393d7fff8ad037b789c0db1
URL:		http://www.clutter-project.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.10.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	glibc-misc
BuildRequires:	gobject-introspection-devel >= 0.9.12
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	clutter >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library integrating clutter with GTK+.

%description -l pl.UTF-8
Biblioteka integrująca clutter z GTK+.

%package devel
Summary:	Header files for clutter-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki clutter-gtk
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	clutter-devel >= 1.10.0
Requires:	gtk+3-devel >= 3.2.0

%description devel
Header files for clutter-gtk library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki clutter-gtk.

%package static
Summary:	Static clutter-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka clutter-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static clutter-gtk library.

%description static -l pl.UTF-8
Statyczna biblioteka clutter-gtk.

%package apidocs
Summary:	clutter-gtk API documentation
Summary(pl.UTF-8):	Dokumentacja API clutter-gtk
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
clutter-gtk API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API clutter-gtk.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I build/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang cluttergtk-1.0

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f cluttergtk-1.0.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libclutter-gtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclutter-gtk-1.0.so.0
%{_libdir}/girepository-1.0/GtkClutter-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclutter-gtk-1.0.so
%{_includedir}/clutter-gtk-1.0
%{_pkgconfigdir}/clutter-gtk-1.0.pc
%{_datadir}/gir-1.0/GtkClutter-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libclutter-gtk-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}-1.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clutter-gtk.spec,v $
Revision 1.33  2012/03/23 10:47:09  megabajt
- updated to 1.2.0

Revision 1.32  2011/09/29 19:42:48  wiget
- up to 1.0.4

Revision 1.31  2011/07/29 17:17:18  patrys
- 1.0.2

Revision 1.30  2011/04/21 16:23:12  qboosh
- updated clutter and gettext dependencies

Revision 1.29  2011/04/05 21:11:21  wiget
- up to 1.0.0 (merged from DEVEL)

Revision 1.28.2.2  2011/02/12 19:29:34  wiget
- updated to 0.91.8
- BR stable gtk+
- kill libtool file

Revision 1.28.2.1  2011/01/16 15:40:52  wiget
- 0.91.6

Revision 1.28  2011/01/03 20:02:20  qboosh
- updated deps, explicit ac/am/lt rebuild

Revision 1.27  2010/11/18 09:36:29  hawk
- build fix for gtk/gtk.h: No such file or directory

Revision 1.26  2010/09/25 14:01:52  patrys
- 0.10.8

Revision 1.25  2010/07/19 22:04:05  baggins
- rel 2

Revision 1.24  2010/04/30 20:07:52  baggins
- 0.10.4
- don't regenerate ac crap if there is no need!

Revision 1.23  2010/02/20 17:34:39  sparky
- dropped erroneous BR: libdrm-devel, xorg-lib-libXxf86vm-devel,
  xorg-proto-dri2proto-devel (pulled by gl.pc from Mesa-ligGL-devel)

Revision 1.22  2010/02/20 16:43:38  sparky
- BR: libdrm-devel, xorg-lib-libXxf86vm-devel, xorg-proto-dri2proto-devel
- rel 5; STBR to get rid of -lpng12 in .la files

Revision 1.21  2009/11/27 01:15:58  sparky
- BR: docbook-dtd412-xml, glibc-misc (ldd for libtool) and python-modules

Revision 1.20  2009/11/12 15:51:00  patrys
- BR: gir

Revision 1.19  2009/11/12 12:28:32  patrys
- no longer require gir-repository

Revision 1.18  2009/11/12 11:59:41  patrys
- rebuild
- rel 2

Revision 1.17  2009/08/12 09:00:11  patrys
- 0.10.2

Revision 1.16  2009/08/12 08:01:52  patrys
- 0.10

Revision 1.15  2009/07/01 13:44:18  hawk
- release 2

Revision 1.14  2009/03/15 18:45:25  patrys
- 0.8.3

Revision 1.13  2008/11/12 21:05:24  arekm
- up to 0.8.2

Revision 1.12  2008/11/12 20:41:46  arekm
- release 2

Revision 1.11  2008/06/21 14:55:35  patrys
- 0.6.1

Revision 1.10  2008-02-20 20:38:42  qboosh
- ghost soname symlink
- updated am BR
- added X11 to Groups

Revision 1.9  2008-02-19 10:18:13  patrys
- 0.6.0

Revision 1.8  2007-08-12 17:11:26  qboosh
- updated clutter deps

Revision 1.7  2007/08/09 11:13:09  patrys
- 0.4.0

Revision 1.6  2007/07/10 06:29:10  qboosh
- updated clutter deps

Revision 1.5  2007/07/08 23:42:56  aredridel
- 0.3.1

Revision 1.4  2007/06/17 00:28:55  qboosh
- devel deps
- libtoolize
- more verbose files

Revision 1.3  2007/06/16 22:59:13  qboosh
- desc for proper package (+pl)
- fixed URL, Group and License

Revision 1.2  2007/06/09 17:11:17  aredridel
- fix descriptions

Revision 1.1  2007/06/09 17:06:26  aredridel
- added
